Send Contact Message
POST
/contact
const url = 'https://api.mengi.cloud/contact';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","message":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.mengi.cloud/contact \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "message": "example" }'Send a contact message to the Mengi Cloud team.
This endpoint is public and does not require authentication.
Request Body required
Section titled “Request Body required ” Media type application/json
ContactRequest
object
email
required
Email
string format: email
message
required
Message
string
Example generated
{ "email": "hello@example.com", "message": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
ContactResponse
object
success
required
Success
boolean
message
required
Message
string
Example generated
{ "success": true, "message": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}